Subject: Re: bug#5428: vc-annotate for Bzr does not show the date

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 23 Jan 2010 09:24:34 -0800 (PST)

Stefan Monnier <[email-masked]> writes:

  > >> > Can you please explain how was this different with CVS (and all other
  > >> > VCs besides svn)?
  > >> It wasn't.  So it was a problem that wasn't solved for CVS.
  > >> Doesn't mean it should be re-introduced for Bzr.
  > > Does it mean that your personal preference should make it impossible to
  > > do useful searches by date?
  > 
  > No, just that the current preference should not simply be replaced by
  > another one, unless we provide a way to configure VC to get the current
  > preference back.

Why not first implement whatever configurability YOU want, and then
change the default display so that it does not make work harder for
other people, instead of just breaking a long time working feature?

  > FWIW, it's not impossible to do such searches: Use vc-print-log to see
  > which dates corresponds to which revision numbers, and then search by
  > revision number.

How is this better than just searching in the vc-annotate buffer that
has been the normal work flow for years?

  > > Why not fix it properly, instead of breaking it?  At least don't make it
  > > strictly worse.
  > 
  > That's exactly what I want: to fix it properly, rather than to replace
  > one problem with another.

Can you please do it in such a way that you don't replace a working (and
in use for a very long time) setup with a broken one?